Subject: Re: bug#47599: 28.0.50; Feature request improve/update isearch

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Apr 2021 05:29:25 +0300

> Date: Tue, 06 Apr 2021 21:32:51 +0000
> From: Gregory Heytings <[email-masked]>
> Cc: Ergus <[email-masked]>, [email-masked]
> 
> While we're improving isearch, there is another minor change that I think 
> would improve its behavior, namely to go to the next/previous match when 
> changing the search direction, instead of hitting the same match before 
> moving to the next/previous one with the next C-s/C-r.  This change is so 
> small that I'm not sure it's worth creating a defcustom for it, but you 
> might have a different opinion.

The current behavior is the easy way to "go to the other end of the
match", so I'm quite sure some people will want to keep the old
behavior if we make this change.